[Blends-commit] [SCM] website branch, master, updated. 24f0e3570d104c8dd2575c60e301363db22b15e1
Andreas Tille
tille at debian.org
Thu Jul 28 09:22:15 UTC 2016
The following commit has been merged in the master branch:
commit 24f0e3570d104c8dd2575c60e301363db22b15e1
Author: Andreas Tille <tille at debian.org>
Date: Thu Jul 28 11:21:21 2016 +0200
Enable querying public mirror, blacklist some predependencies maintained by Debian Med team
diff --git a/misc/sql/0-uncategorised.sh b/misc/sql/0-uncategorised.sh
index 46477c7..c00434f 100755
--- a/misc/sql/0-uncategorised.sh
+++ b/misc/sql/0-uncategorised.sh
@@ -54,18 +54,23 @@ case "$1" in
'mpj','mtj','mummy','mypy',
'netlib-java',
'parafly', 'permute','pixelmed-codec','pp-popularity-contest','pvrg-jpeg','pylibtiff','pyqi','python-avro','python-qcli',
- 'pythonqt','python-burrito','python-bz2file','python-matplotlib-venn','python-rdflib-jsonld','python-schema-salad','python-sqlsoup',
+ 'pythonqt','python-burrito','python-bz2file','python-dictobj,','python-matplotlib-venn','python-rdflib-jsonld','python-schema-salad','python-sqlsoup',
'qsopt-ex',
- 'r-bioc-biocinstaller','r-bioc-biocparallel','r-bioc-s4vectors','r-bioc-summarizedexperiment',
- 'r-cran-adegraphics','r-cran-assertthat','r-cran-bold','r-cran-curl','r-cran-batchjobs','r-cran-bbmisc','r-cran-biasedurn','r-cran-blockmodeling','r-cran-brew','r-cran-catools',
- 'r-cran-checkmate','r-cran-combinat','r-cran-crayon','r-cran-data.table','r-cran-deal','r-cran-doparallel','r-cran-dplyr','r-cran-etm',
- 'r-cran-evaluate','r-cran-fail','r-cran-fastcluster','r-cran-fastmatch','r-cran-futile.logger','r-cran-futile.options',
- 'r-cran-g.data','r-cran-genabel.data','r-cran-ggplot2','r-cran-htmltools','r-cran-httr','r-cran-hwriter','r-cran-igraph',
- 'r-cran-lambda.r','r-cran-lazyeval','r-cran-magrittr','r-cran-matrixstats','r-cran-munsell','r-cran-nnls','r-cran-openssl',
- 'r-cran-optparse','r-cran-plyr','r-cran-praise','r-cran-proto','r-cran-r.methodss3','r-cran-r.oo','r-cran-r.utils','r-cran-rcurl',
- 'r-cran-rredlist','r-cran-reshape','r-cran-reshape2','r-cran-rsolnp','r-cran-rsqlite','r-cran-scales','r-cran-segmented','r-cran-sendmailr',
- 'r-cran-shiny','r-cran-stringi','r-cran-stringr','r-cran-taxize',
- 'r-cran-testthat','r-cran-tidyr','r-cran-truncnorm','r-cran-vioplot','r-cran-xml2',
+ 'r-bioc-biocinstaller','r-bioc-biocparallel','r-bioc-interactivedisplaybase','r-bioc-s4vectors','r-bioc-summarizedexperiment',
+ 'r-cran-adegraphics','r-cran-assertthat','r-cran-bbmle','r-cran-bold','r-cran-curl','r-cran-batchjobs','r-cran-bbmisc',
+ 'r-cran-biasedurn','r-cran-blockmodeling','r-cran-brew','r-cran-catools',
+ 'r-cran-checkmate','r-cran-combinat','r-cran-crayon','r-cran-data.table','r-cran-deal','r-cran-doparallel','r-cran-dplyr','r-cran-ellipse','r-cran-etm',
+ 'r-cran-evaluate','r-cran-fail','r-cran-fastcluster','r-cran-fastmatch','r-cran-futile.logger','r-cran-futile.options','r-cran-future',
+ 'r-cran-g.data','r-cran-genabel.data','r-cran-ggplot2','r-cran-globals','r-cran-googlevis','r-cran-gridbase',
+ 'r-cran-hexbin','r-cran-htmltools','r-cran-htmlwidgets','r-cran-httr','r-cran-hwriter','r-cran-igraph','r-cran-irlba',
+ 'r-cran-lambda.r','r-cran-lazyeval','r-cran-listenv','r-cran-luminescence','r-cran-magrittr','r-cran-matrixstats','r-cran-minpack.lm','r-cran-munsell',
+ 'r-cran-nmf','r-cran-nnls','r-cran-openssl','r-cran-optparse',
+ 'r-cran-pkgmaker','r-cran-plyr','r-cran-praise','r-cran-princurve','r-cran-proto',
+ 'r-cran-r.cache','r-cran-r.methodss3','r-cran-r.oo','r-cran-r.utils','r-cran-raster','r-cran-rcurl','r-cran-registry',
+ 'r-cran-reshape','r-cran-reshape2','r-cran-rglwidget','r-cran-rlumshiny','r-cran-rngtools','r-cran-rredlist','r-cran-rsolnp','r-cran-rsqlite',
+ 'r-cran-scales','r-cran-scatterd3','r-cran-segmented','r-cran-sendmailr','r-cran-shape',
+ 'r-cran-shiny','r-cran-shinybs','r-cran-stringi','r-cran-stringr','r-cran-taxize',
+ 'r-cran-testthat','r-cran-tibble','r-cran-tidyr','r-cran-truncnorm','r-cran-vioplot','r-cran-xml2',
'snappy1.0.3-java','socket++','spdlog','sphinxcontrib-autoprogram','yaggo'
"
;;
@@ -83,10 +88,27 @@ case "$1" in
;;
esac
+if [ ! $(which psql) ] ; then
+ cat <<EOT
+No PostgreSQL client providing /usr/bin/psql installed.
+On a Debian system please
+ sudo apt-get install postgresql-client-common
+EOT
+ exit 1
+fi
+
SERVICE="service=udd"
#if there is a local UDD clone just use this
-if psql -p 5452 -l 2>/dev/null | grep -qw udd ; then
- SERVICE="-p 5452 udd"
+if psql $PORT -l 2>/dev/null | grep -qw udd ; then
+ SERVICE=udd
+fi
+
+# Check UDD connection
+if ! psql $PORT $SERVICE -c "" 2>/dev/null ; then
+ echo "No local UDD found, use public mirror."
+ PORT="--port=5432"
+ export PGPASSWORD="public-udd-mirror"
+ SERVICE="--host=public-udd-mirror.xvm.mit.edu --username=public-udd-mirror udd"
fi
psql $SERVICE >$1.out <<EOT
--
Static and dynamic websites for Debian Pure Blends
More information about the Blends-commit
mailing list